Create a new human review task - SuperAI Flows

Create a new human review task

cURL

curl --request POST \
  --url https://flows.super.ai/api/human-review-tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "assigned_users": [
    "550e8400-e29b-41d4-a716-446655440000",
    "660e8400-e29b-41d4-a716-446655440001"
  ],
  "flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
  "source_task_execution_idx": 0,
  "source_task_name": "process_document",
  "target_task_execution_idx": 0,
  "target_task_name": "receive_file",
  "instructions": "Please review the document and verify all dates are correct."
}
'

Python Example

import requests

url = "https://flows.super.ai/api/human-review-tasks"

payload = {
    "assigned_users": ["550e8400-e29b-41d4-a716-446655440000", "660e8400-e29b-41d4-a716-446655440001"],
    "flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
    "source_task_execution_idx": 0,
    "source_task_name": "process_document",
    "target_task_execution_idx": 0,
    "target_task_name": "receive_file",
    "instructions": "Please review the document and verify all dates are correct."
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch Example

const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    assigned_users: ['550e8400-e29b-41d4-a716-446655440000', '660e8400-e29b-41d4-a716-446655440001'],
    flow_execution_id: '550e8400-e29b-41d4-a716-446655440000',
    source_task_execution_idx: 0,
    source_task_name: 'process_document',
    target_task_execution_idx: 0,
    target_task_name: 'receive_file',
    instructions: 'Please review the document and verify all dates are correct.'
  })
};

fetch('https://flows.super.ai/api/human-review-tasks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/human-review-tasks",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'assigned_users' => [
        '550e8400-e29b-41d4-a716-446655440000',
        '660e8400-e29b-41d4-a716-446655440001'
    ],
    'flow_execution_id' => '550e8400-e29b-41d4-a716-446655440000',
    'source_task_execution_idx' => 0,
    'source_task_name' => 'process_document',
    'target_task_execution_idx' => 0,
    'target_task_name' => 'receive_file',
    'instructions' => 'Please review the document and verify all dates are correct.'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Example Response

{
  "created_at": "2023-11-07T05:31:56Z",
  "flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modified_by": "<string>",
  "organization_id": "550e8400-e29b-41d4-a716-446655440000",
  "source_task_execution_idx": 0,
  "source_task_name": "process_document",
  "status": "pending",
  "target_task_execution_idx": 0,
  "target_task_name": "receive_file",
  "updated_at": "2023-11-07T05:31:56Z",
  "completed_at": "2024-01-01T00:00:00Z",
  "completed_by": "550e8400-e29b-41d4-a716-446655440000",
  "instructions": "Please review the document and verify all dates are correct.",
  "review_result": true,
  "reviewed_output": {
    "comments": "All dates are correct.",
    "verified": true
  },
  "task_metadata": {
    "priority": "high",
    "source": "api"
  }
}